Bug 212914 - Many translations missing
Many translations missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-menus (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
: Translation
Depends On:
Blocks: FC5Update
  Show dependency treegraph
 
Reported: 2006-10-29 22:19 EST by Lauri Nurmi
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 16:33:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lauri Nurmi 2006-10-29 22:19:13 EST
Description of problem:

The "Administration" menu item is something quite new that was added to
redhat-menus in 2006.

The redhat-menus package on FC6 contains a translation for the "Administration"
string into 30 different languages. However, on the translation CVS, there are
translations for this string into 50 languages, 42 of which were there already
on June 7th, a day before the current redhat-menus package was built.

This means 12 translations were ignored at the time the package was last built,
and 8 more have become ignored since then. It seems that committing translations
almost 6 *months* before a new FC release is not enough to guarantee that they
will ship with the next release.

I would also like to point out that there are translations into 6 languages that
exist on the translation CVS but not in the package: as, gl, kn, lv, or, te.

Considering that the translations in redhat-menus are quite a visible part of
the Fedora desktop, I strongly suggest rebuilding this package with up-to-date
translations and releasing an update, preferably for both FC6 and FC5. Waiting
until FC7 would not make much sense.
Comment 1 Ray Strode [halfline] 2006-10-30 12:12:33 EST
Thank you Lauri, I agree completely.
Comment 2 Lauri Nurmi 2006-11-14 05:51:01 EST
Ok, the updated redhat-menus package for FC6 arrived last week. Thank you.

Before closing this bug, could we get a similar update released for FC5, too?
Comment 3 Lauri Nurmi 2006-12-10 22:47:57 EST
I am asking again; could we please get a redhat-menus update for FC5 too, with
up-to-date translations?

Moving this to a FC5Update related bug.
Comment 4 Ray Strode [halfline] 2006-12-10 22:58:31 EST
It might be difficult.  We never made an FC5 branch for red hat menus and
translations continued only on the development branch.

We can't just drop the new red hat menus into FC5 because things have changed
since then, it might not be compatible anymore.

We'd have to do some testing and potentially fix things up.
Comment 5 Peter van Egdom 2007-11-16 16:33:42 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. In Fedora release 8 (Werewolf) the "redhat-menus"
package contains 72 translations, including the languages mentioned in the
bug-report above :

[root@pavilion /]# rpm -ql redhat-menus |grep -i redhat-menus.mo |wc
     72      72    3550

[root@pavilion /]# rpm -ql redhat-menus |grep -i redhat-menus.mo |egrep -i
as\|gl\|kn\|lv\|or\|te
/usr/share/locale/as/LC_MESSAGES/redhat-menus.mo
/usr/share/locale/gl/LC_MESSAGES/redhat-menus.mo
/usr/share/locale/kn/LC_MESSAGES/redhat-menus.mo
/usr/share/locale/lv/LC_MESSAGES/redhat-menus.mo
/usr/share/locale/or/LC_MESSAGES/redhat-menus.mo
/usr/share/locale/te/LC_MESSAGES/redhat-menus.mo

Note You need to log in before you can comment on or make changes to this bug.